export const CzbCourseType = {
    oto: 1,
    otoExp: 2,
    otm: 3,
    otmExp: 4,
    otmAuditor: 9,//暂时没有旁听生
}

export const CzbRoleType = {
    student: 'student',
    teacher: 'teacher',
    admin: 'admin'
}

export const CzbSocketType = {
    oto: 'newclass',
    otoExp: 'newclassExp',
    otm: 'smallclass',
    otmExp: 'smallclass'
}

export const CzbSdkType = {
    talkCloud:'TKY',
    agora: 'SW',
    cc: 'CC',
    dby:'DBY',
}
export const PPType = {
    staticPPT:'STATIC',
    dynamic:'DYNAMIC'
}
export const CzbError = {
    tel: '请输入正确的手机号',
    name: '请输入2~10位中文、英文或数字',
    password: '请输入6~16位英文或数字',
    code: '请输入短信验证码',

    9000: '网络连接失败，请刷新再试',
    9001: '连接超时，请刷新再试',
    9002: '账号登录已过期，请重新登录',
    9003: '验证码错误',
    9004: '验证码发送失败，请重新再试',
    9005: '验证码已发送',

    8000: '您没有训练课课程',
    8001: '此时间预约已满，请选择其他时间',
    8002: '此时间预约已满，请选择其他时间',
    8003: '此时间预约已满，请选择其他时间',
    8004: '您已预约过此课程',
    8005: '您的课时不足',
    8006: '没有您的预约记录',
    8007: '操作异常,请重新再试',
    8008: '开课前4小时内不能取消预约',
    8009: '您的预约记录不存在',
    8010: '您的预约已经完成',
    8011: '您的预约已经取消',
    8012: '课程进行中,不能取消预约',
    8013: '课时返回失败',

    NoName: '请输入孩子姓名',
    NoGender: '请选择孩子性别',
    NoGrade: '请选择孩子学年',

}

export const CzbMessage = {
    sendedTelCode: '验证码已发送',

    authorizingRoom: '正在验证',
    joiningRoom: '正在进入教室',
    joinRoomSuccess: '进入教室成功',
    joinRoomFailed: '进入教室失败',
    startClass: '老师开始上课了',
    stopClass: '老师暂时离开了',
    teacherJoinRoom: '老师进入了教室',
    teacherLeaveRoom: '老师离开了教室',
    enableCanvas: '画板已开始',
    disableCanvas: '画板已关闭',
    clearCanvas: '画板已清空',
    getReward: '老师奖励一颗小星星',
    raiseHand: '已申请举手发言',
    agreeRaiseHand: '老师已同意你发言',
    refuseRaiseHand: '老师有点忙，再等一会举手吧',
    micOn: '麦克风已开启',
    micOff: '麦克风已关闭',
}

export const CzbBannerType = {
    notLogIn : '用户未登入', // 用户未登录状态
    experienceHour: '用户有体验课', // 用户有体验课时
    subscribe: '用户有预约课程', // 有预约课程，course中判断是否在半个小时内，在则可点击直接进入教室，不在半个小时内则点击弹出提示
    inCourse: '用户开始上课', // 用户正在上课
    other : '暂无状态',  // 无网或者不满足条件: 没有预约课也没有课时
}

export const CzbVideoPageType = {
  RECOMMEND_LIST: `recommend_list`,
  BOUTIQUE_LIST: `boutique_list`,
  FREE_LIST: `free_list`,
  HISTORY_LIST: `history_list`,
}

export const CzbVideoType = {
  RECOMMEND: `recommend`,
  BOUTIQUE: `boutique`,
  FREE: `free`,
  HISTORY: `history`,
}

export const CzbPPTType = { // 课件类型
  DYNAMIC: `DYNAMIC`,
  STATIC: `STATIC`
}

export const CzbPushType = {        // 推送消息
  INLINE_MESSAGE: `INLINE_MESSAGE`, // app处于前台
  OFFLINE_MESSAGE: `OFFLINE_MESSAGE`  // app未启动，或app处于后台
}
