import { Platform, NativeModules } from 'react-native'

const { RNManager }  = NativeModules

// chooseServer 0:测试服 1:预正式服 2:正式服
// isDebugMode 是不是debug模式 true 如果是debug模式用户可以选择自由环境 如果为false用户不可以指定环境
export let Config = {
    isDebugMode:false,
    isPhone: true,
    chooseServer:0,
}

export let Store = {
    vsFrom: Platform.OS === 'ios' ? (Config.isPhone ? 'IosApp' : 'ipad') : (Config.isPhone ? 'AndroidApp' : 'apad'),
    hmsr: '成长保app',
    hmmd: Platform.OS === 'ios' ? (Config.isPhone ? '苹果app' : '苹果pad') : (Config.isPhone ? '安卓app' : '安卓pad'),
    courseID: '402890ba573b097401573b1c5fe20041',
    appVersion: RNManager ? RNManager.appVersion : '',
    deviceInfo: RNManager ? RNManager.deviceInfo : '',
    bundleId: RNManager ? RNManager.bundleId : '',
	deviceId: RNManager ? RNManager.deviceId : '',
    gradeDataSource: {
        "KGL2": "幼儿园中班",
        "KGL3": "幼儿园大班",
        "PSL1": "小学一年级",
        "PSL2": "小学二年级",
        "PSL3": "小学三年级",
        "PSL4": "小学四年级",
        "PSL5": "小学五年级",
        "PSL6": "小学六年级",
    },
    iOSiPhoneAppStoreURL: 'https://itunes.apple.com/cn/app/成长保-趣学趣成长/id1111283763?mt=8',
    iOSiPadAppStoreURL: 'https://itunes.apple.com/cn/app/成长保-hd/id1186151769?mt=8',
    androidPhoneAppURL: '',
    androidPadAppURL:'',
    // appid
    // ios
    iosAppId: 'com.apns.chengzhangbao',
    // android
    androidAppId: '',
}
