
import { NetStore, StorageStore, UserStore } from '../store'
import { CzbApi } from '../model'
import {Platform} from "react-native";

class App {

    getAppInfo = (appName) => {
    let postData = {'appName':appName}
		console.log("netlog-","request url = " , CzbApi.kGetAppVersion)
        return new Promise((resolve, reject) => {
            NetStore.fetch(CzbApi.kGetAppVersion, null, postData)
                .then(response => {
                   console.log('netlog-',"response = ",response)
                    resolve(response)
                })
                .catch(error => {
                    reject(error)
                })
        })
    }

}

export let AppInfo = new App
